OGRE: Ogre::PortalFactory Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::PortalFactory Class Reference

Factory object for creating Portal instances. More...

`#include <OgrePortal.h>`

Inheritance diagram for Ogre::PortalFactory:
[legend]

## Public Member Functions
| PortalFactory ()
| ~PortalFactory ()
const String & | getType () const override
| Get the type of the object to be created.
bool | requestTypeFlags () const override
| Return true here as we want to get a unique type flag.
Public Member Functions inherited from Ogre::MovableObjectFactory
| MovableObjectFactory ()
virtual | ~MovableObjectFactory ()
void | _notifyTypeFlags (uint32 flag)
| Notify this factory of the type mask to apply.
MovableObject * | createInstance (const String &name, SceneManager *manager, const NameValuePairList *params=0)
| Create a new instance of the object.
virtual void | destroyInstance (MovableObject *obj)
| Destroy an instance of the object.
uint32 | getTypeFlags (void) const
| Gets the type flag for this factory.

## Static Public Attributes
static unsigned long | FACTORY_TYPE_FLAG
static String | FACTORY_TYPE_NAME

## Detailed Description

Factory object for creating Portal instances.

## Constructor & Destructor Documentation

## ◆ PortalFactory()

Ogre::PortalFactory::PortalFactory | ( |  | ) |
| inline

## ◆ ~PortalFactory()

Ogre::PortalFactory::~PortalFactory | ( |  | ) |
| inline

## Member Function Documentation

## ◆ getType()

const String & Ogre::PortalFactory::getType | ( |  | ) | const
| inlineoverridevirtual

Get the type of the object to be created.

Implements Ogre::MovableObjectFactory.

References FACTORY_TYPE_NAME.

## ◆ requestTypeFlags()

bool Ogre::PortalFactory::requestTypeFlags | ( | void |  | ) | const
| inlineoverridevirtual

Return true here as we want to get a unique type flag.

Reimplemented from Ogre::MovableObjectFactory.

## Member Data Documentation

## ◆ FACTORY_TYPE_NAME

String Ogre::PortalFactory::FACTORY_TYPE_NAME
| static

Referenced by getType().

## ◆ FACTORY_TYPE_FLAG

unsigned long Ogre::PortalFactory::FACTORY_TYPE_FLAG
| static

The documentation for this class was generated from the following file:

- OgrePortal.h